Name:          opendict
Summary:       Open-source multiplatform computer dictionary software
Version:       0.6.6
Release:       %mkrel 1
License:       GPLv2
Group:         Office
Url:           http://sourceforge.net/projects/%{name}
Source0:       https://sourceforge.net/projects/opendict/files/%{name}-%{version}.tar.xz
Patch0:        %{name}-0.6.6-system-fix-desktop-file.patch
Patch1:        %{name}-0.6.6-system-install-manpage.patch
BuildArch:     noarch
Requires:      python >= 2.7.1
Requires:      wxPython

%description
OpenDict is open-source multiplatform computer dictionary software. Supported
dictionary formats include:
* DICT
* Slowo
* Mova
* LingvoSoft
* Plugin dictionaries

OpenDict has a built-in DICT client, so you can use it to connect to large
databases (like dict.org).

If your company (or you) is going to develop a dictionary (simple or very
complex), then OpenDict is ready to use platform for any dictionary, because it
supports Plugin dictionaries that can be developed to act the way you wish.

%prep
%setup -q
%apply_patches

rm -f po/%{name}.pot

%build
#nobuild

%install
%make_install DESTDIR=%{buildroot}%{_prefix}
install -m 755 scripts/%{name}-festival-pulseaudio.sh %{buildroot}%{_bindir}/%{name}

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Office-Accessories" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop
  

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS.txt README.txt TODO.txt doc/Plugin-HOWTO.html
%{_mandir}/man1/%{name}*
%{_bindir}/%{name}
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop


%changelog
* Sun Nov 15 2015 bb <bb> 0.6.6-1pclos2015
- import into pclos
